osmo_stats_reporter Struct Reference

## Data Fields

enum osmo_stats_reporter_type | type
char * | name
unsigned int | have_net_config: 1
int | enabled
char * | name_prefix
char * | dest_addr_str
char * | bind_addr_str
int | dest_port
int | mtu
enum osmo_stats_class | max_class
int | running
struct sockaddr | dest_addr
int | dest_addr_len
struct sockaddr | bind_addr
int | bind_addr_len
int | fd
struct msgb * | buffer
int | agg_enabled
struct llist_head | list
int(* | open )(struct osmo_stats_reporter *srep)
int(* | close )(struct osmo_stats_reporter *srep)
int(* | send_counter )(struct osmo_stats_reporter *srep, const struct rate_ctr_group *ctrg, const struct rate_ctr_desc *desc, int64_t value, int64_t delta)
int(* | send_item )(struct osmo_stats_reporter *srep, const struct osmo_stat_item_group *statg, const struct osmo_stat_item_desc *desc, int32_t value)

The documentation for this struct was generated from the following file:

- include/osmocom/core/stats.h